#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=bam13.10_base.ps
projection=-JM16.0c+
region=-R57.7/58.8/28.3/29.3
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map bam13.10' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
gmt psxy /Users/ezgikarasozen/Documents/mloc/mloc_working/tables/faults/iran_faults_walker_gmt.dat $projection $region -Wthick,red -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    28.976    58.340
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    28.968    58.345
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    28.910    58.320
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    28.941    58.403
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    28.994    58.406
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    28.960    58.426
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    28.946    58.224
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    28.886    58.419
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    29.066    58.292
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    28.973    58.359
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    28.895    58.465
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    28.905    58.329
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    28.929    58.372
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    29.170    58.416
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    29.064    58.379
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    29.093    58.339
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    29.033    58.376
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    29.062    58.375
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    29.107    58.366
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    29.092    58.383
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    28.802    57.914
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    28.806    57.902
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    29.075    58.358
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    28.445    58.249
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    28.704    57.793
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    29.048    58.400
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    28.411    58.344
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    29.127    58.361
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    29.119    58.316
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    29.051    58.478
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    28.502    58.054
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    29.095    58.363
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    29.114    58.377
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    28.947    58.392
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    28.865    58.645
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    28.862    58.625
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    29.075    58.364
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    29.058    58.405
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    28.648    58.637
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    29.117    58.412
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    29.104    58.366
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    29.104    58.312
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    28.994    58.304
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    29.131    58.350
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    29.091    58.370
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    28.996    58.354
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    29.174    58.366
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    29.037    58.391
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    29.039    58.332
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    28.972    58.154
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    28.887    58.283
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    28.645    58.400
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    28.817    58.731
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    28.826    58.721
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    28.981    58.352
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    28.806    57.950
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    28.811    58.707
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    29.024    58.355
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    29.051    58.363
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    29.058    58.371
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.975    58.342
    28.976    58.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.050    58.360
    28.976    58.340
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.967    58.343
    28.968    58.345
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.086    58.348
    28.968    58.345
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.911    58.322
    28.910    58.320
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.983    58.346
    28.910    58.320
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.944    58.399
    28.941    58.403
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.093    58.384
    28.941    58.403
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.998    58.403
    28.994    58.406
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.945    58.438
    28.994    58.406
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.968    58.429
    28.960    58.426
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.989    58.433
    28.960    58.426
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.947    58.221
    28.946    58.224
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.779    58.186
    28.946    58.224
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.897    58.404
    28.886    58.419
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.727    58.383
    28.886    58.419
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.067    58.292
    29.066    58.292
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.180    58.315
    29.066    58.292
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.981    58.359
    28.973    58.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.948    58.331
    28.973    58.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.897    58.466
    28.895    58.465
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.004    58.350
    28.895    58.465
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.906    58.327
    28.905    58.329
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.754    58.400
    28.905    58.329
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.929    58.373
    28.929    58.372
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.033    58.374
    28.929    58.372
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.169    58.418
    29.170    58.416
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.293    58.394
    29.170    58.416
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.066    58.378
    29.064    58.379
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.716    58.592
    29.064    58.379
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.092    58.339
    29.093    58.339
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.123    58.301
    29.093    58.339
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.033    58.375
    29.033    58.376
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.186    58.394
    29.033    58.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.062    58.374
    29.062    58.375
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.094    58.363
    29.062    58.375
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.105    58.366
    29.107    58.366
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.188    58.399
    29.107    58.366
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.084    58.383
    29.092    58.383
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.097    58.389
    29.092    58.383
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.801    57.916
    28.802    57.914
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.857    57.978
    28.802    57.914
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.806    57.902
    28.806    57.902
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.830    57.995
    28.806    57.902
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.075    58.358
    29.075    58.358
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.015    58.359
    29.075    58.358
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.445    58.250
    28.445    58.249
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.443    58.318
    28.445    58.249
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.703    57.794
    28.704    57.793
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.559    57.914
    28.704    57.793
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.047    58.400
    29.048    58.400
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.774    58.152
    29.048    58.400
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.412    58.345
    28.411    58.344
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.386    58.457
    28.411    58.344
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.126    58.361
    29.127    58.361
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.168    58.391
    29.127    58.361
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.120    58.317
    29.119    58.316
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.157    58.384
    29.119    58.316
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.052    58.477
    29.051    58.478
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.153    58.460
    29.051    58.478
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.502    58.056
    28.502    58.054
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.500    58.120
    28.502    58.054
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.095    58.362
    29.095    58.363
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.105    58.310
    29.095    58.363
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.109    58.386
    29.114    58.377
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.256    58.414
    29.114    58.377
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.947    58.388
    28.947    58.392
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.087    58.350
    28.947    58.392
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.861    58.647
    28.865    58.645
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.975    58.620
    28.865    58.645
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.858    58.626
    28.862    58.625
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.837    58.678
    28.862    58.625
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.071    58.364
    29.075    58.364
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.225    58.247
    29.075    58.364
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.058    58.405
    29.058    58.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.156    58.367
    29.058    58.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.646    58.634
    28.648    58.637
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.719    58.657
    28.648    58.637
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.119    58.413
    29.117    58.412
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.230    58.437
    29.117    58.412
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.104    58.366
    29.104    58.366
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.109    58.265
    29.104    58.366
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.104    58.317
    29.104    58.312
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.044    58.238
    29.104    58.312
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.994    58.305
    28.994    58.304
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.982    58.258
    28.994    58.304
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.130    58.352
    29.131    58.350
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.187    58.375
    29.131    58.350
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.090    58.374
    29.091    58.370
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.017    58.358
    29.091    58.370
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.996    58.350
    28.996    58.354
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.049    58.310
    28.996    58.354
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.173    58.363
    29.174    58.366
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.198    58.345
    29.174    58.366
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.034    58.386
    29.037    58.391
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.087    58.351
    29.037    58.391
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.039    58.329
    29.039    58.332
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.059    58.300
    29.039    58.332
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.972    58.154
    28.972    58.154
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.006    58.073
    28.972    58.154
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.886    58.284
    28.887    58.283
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.888    58.260
    28.887    58.283
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.643    58.401
    28.645    58.400
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.733    58.413
    28.645    58.400
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.815    58.736
    28.817    58.731
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.873    58.671
    28.817    58.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.827    58.725
    28.826    58.721
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.845    58.693
    28.826    58.721
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.980    58.354
    28.981    58.352
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.010    58.296
    28.981    58.352
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.804    57.950
    28.806    57.950
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.821    57.998
    28.806    57.950
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.812    58.711
    28.811    58.707
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.805    58.683
    28.811    58.707
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.026    58.355
    29.024    58.355
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.052    58.371
    29.024    58.355
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.051    58.360
    29.051    58.363
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.109    58.357
    29.051    58.363
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.063    58.377
    29.058    58.371
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.157    58.372
    29.058    58.371
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    28.976    58.340    85.526     1.292     2.146
    28.968    58.345    76.646     2.276     4.819
    28.910    58.320    87.238     1.483     2.177
    28.941    58.403   -72.652     2.636     5.112
    28.994    58.406    81.610     3.795     7.409
    28.960    58.426   -80.231     2.060     3.781
    28.946    58.224    63.755     5.832     7.930
    28.886    58.419    37.016     3.196     8.414
    29.066    58.292   -85.676     1.829     3.023
    28.973    58.359   -62.410     3.166     7.093
    28.895    58.465   -32.735     1.141     6.008
    28.905    58.329    48.903     5.320     5.639
    28.929    58.372    73.838     2.126     4.366
    29.170    58.416    58.656     3.139     5.740
    29.064    58.379    63.793     3.098     6.434
    29.093    58.339    10.059     3.111     3.631
    29.033    58.376     1.763     1.841     3.603
    29.062    58.375    20.584     3.075     4.547
    29.107    58.366    61.903     1.513     1.730
    29.092    58.383    87.607     2.459     6.643
    28.802    57.914   -34.432     1.223     1.445
    28.806    57.902   -27.158     1.703     3.176
    29.075    58.358   -27.734     1.340     2.523
    28.445    58.249    28.938     2.857     5.885
    28.704    57.793   -16.579     2.414     4.121
    29.048    58.400   -37.113     1.571     2.963
    28.411    58.344    58.629     2.475     2.843
    29.127    58.361   -60.625     1.702     3.079
    29.119    58.316   -61.975     1.784     2.249
    29.051    58.478   -29.111     1.589     1.974
    28.502    58.054    -3.483     1.870     2.427
    29.095    58.363    12.365     1.569     2.161
    29.114    58.377    19.685     2.841     7.950
    28.947    58.392    -5.048     2.152     2.917
    28.865    58.645    31.898     2.289     3.805
    28.862    58.625   -77.918     3.358     3.937
    29.075    58.364    51.062     2.629     4.644
    29.058    58.405    76.758     3.827     6.760
    28.648    58.637     8.285     2.220     4.696
    29.117    58.412    75.243     3.192     4.178
    29.104    58.366    70.317     3.039     4.025
    29.104    58.312    61.297     3.345     4.476
    28.994    58.304    13.540     1.933     4.576
    29.131    58.350   -84.358     2.077     3.797
    29.091    58.370     2.951     1.466     2.704
    28.996    58.354   -87.751     2.163     4.574
    29.174    58.366   -55.775     2.194     3.596
    29.037    58.391   -82.808     2.486     4.534
    29.039    58.332   -83.397     2.109     4.779
    28.972    58.154   -66.595     2.077     3.762
    28.887    58.283     9.729     1.398     2.435
    28.645    58.400   -39.594     3.268     4.431
    28.817    58.731   -13.314     2.662     3.121
    28.826    58.721   -46.540     3.939     4.454
    28.981    58.352    13.770     1.696     2.846
    28.806    57.950     0.181     1.475     1.983
    28.811    58.707    75.899     3.213     3.555
    29.024    58.355    68.628     1.853     2.416
    29.051    58.363    82.041     2.440     3.476
    29.058    58.371   -85.971     2.148     6.230
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    28.976    58.340     0.300
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    28.365    57.754   -21.121     4.983     6.122
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    28.365    57.776   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    28.365    57.754     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    28.365    57.754     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    28.320    57.754   5 km
END
