#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=bam13.10_dcal.ps
projection=-JM16.0c+
region=-R55.6/60.9/26.5/31.1
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration bam13.10' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
gmt psxy /Users/ezgikarasozen/Documents/mloc/mloc_working/tables/faults/iran_faults_walker_gmt.dat $projection $region -Wthick,red -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.079    58.353
    28.976    58.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.347    57.940
    28.976    58.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.347    57.940
    28.910    58.320
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.347    57.940
    29.066    58.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.908    57.888
    29.066    58.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.095    58.355
    28.895    58.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.030    58.468
    28.895    58.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.079    58.353
    28.929    58.372
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    28.929    58.372
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.821    58.290
    28.929    58.372
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.170    58.416
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    29.170    58.416
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.064    58.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    29.064    58.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.093    58.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    29.093    58.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.033    58.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.821    58.290
    29.033    58.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.062    58.375
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.119    58.263
    29.075    58.358
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.090    58.350
    29.075    58.358
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.075    58.358
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    29.075    58.358
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.347    57.940
    29.075    58.358
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.048    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    29.048    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.119    58.263
    29.048    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.079    58.353
    29.127    58.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.127    58.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.079    58.353
    29.119    58.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.123    58.381
    29.119    58.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.071    58.402
    29.119    58.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.650    58.389
    28.502    58.054
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.075    58.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.058    58.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.117    58.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.117    58.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.104    58.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.104    58.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.104    58.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.104    58.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.644    56.730
    29.104    58.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.994    58.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.994    58.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.131    58.350
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.131    58.350
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.091    58.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.091    58.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.996    58.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.996    58.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.996    58.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.996    58.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.174    58.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.174    58.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.174    58.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.174    58.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.037    58.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.037    58.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.037    58.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.037    58.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.037    58.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.039    58.332
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.039    58.332
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.039    58.332
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.039    58.332
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.039    58.332
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.972    58.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.972    58.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.972    58.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.972    58.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.644    56.730
    28.972    58.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.644    56.730
    28.972    58.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.887    58.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.887    58.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.887    58.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.887    58.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.887    58.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.645    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.645    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.645    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.645    58.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.817    58.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.817    58.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.817    58.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.817    58.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.826    58.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.826    58.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.826    58.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.826    58.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.826    58.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.981    58.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.981    58.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.981    58.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.806    57.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.806    57.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.806    57.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.806    57.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.644    56.730
    28.806    57.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.644    56.730
    28.806    57.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.811    58.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    28.811    58.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.811    58.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    28.811    58.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    28.811    58.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.024    58.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.024    58.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.024    58.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.024    58.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.024    58.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.024    58.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.051    58.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.051    58.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.051    58.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.948    57.706
    29.051    58.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.058    58.371
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.136    58.452
    29.058    58.371
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.058    58.371
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.861    57.540
    29.058    58.371
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    29.095    58.355     0.300
    29.030    58.468     0.300
    29.861    57.540     0.300
    27.948    57.706     0.300
    29.644    56.730     0.300
    29.136    58.452     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
    29.079    58.353     0.250
    29.347    57.940     0.250
    28.908    57.888     0.250
    29.071    58.402     0.250
    28.821    58.290     0.250
    29.123    58.381     0.250
    29.119    58.263     0.250
    29.090    58.350     0.250
    28.650    58.389     0.250
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.976    58.340     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.968    58.345     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.910    58.320     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.941    58.403     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.994    58.406     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.960    58.426     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.946    58.224     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.886    58.419     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.066    58.292     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.973    58.359     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.895    58.465     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.905    58.329     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.929    58.372     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.170    58.416     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.064    58.379     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.093    58.339     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.033    58.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.062    58.375     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.107    58.366     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.092    58.383     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.802    57.914     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.806    57.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.075    58.358     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.445    58.249     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.704    57.793     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.048    58.400     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.411    58.344     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.127    58.361     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.119    58.316     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.051    58.478     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.502    58.054     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.095    58.363     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.114    58.377     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.947    58.392     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.865    58.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.862    58.625     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.075    58.364     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.058    58.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.648    58.637     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.117    58.412     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.104    58.366     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.104    58.312     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.994    58.304     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.131    58.350     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.091    58.370     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.996    58.354     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.174    58.366     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.037    58.391     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.039    58.332     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.972    58.154     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.887    58.283     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.645    58.400     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.817    58.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.826    58.721     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.981    58.352     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.806    57.950     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.811    58.707     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.024    58.355     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.051    58.363     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.058    58.371     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    28.956    58.354     0.000   222.000   222.000
    28.956    58.354     0.000   444.000   444.000
END
